Bug 222398 - lang/python27: Update to 2.7.14
Summary: lang/python27: Update to 2.7.14
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Many People
Assignee: Wen Heping
URL: https://raw.githubusercontent.com/pyt...
Keywords: security
Depends on:
Blocks:
 
Reported: 2017-09-17 13:04 UTC by Wen Heping
Modified: 2017-10-14 02:07 UTC (History)
6 users (show)

See Also:
koobs: maintainer-feedback+
antoine: exp-run+


Attachments
Update lang/python27 to 2.7.14 (5.90 KB, text/plain)
2017-09-17 13:04 UTC, Wen Heping
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Wen Heping freebsd_committer 2017-09-17 13:04:27 UTC
Created attachment 186464 [details]
Update lang/python27 to 2.7.14

Update lang/python27 to 2.7.14
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2017-09-18 03:08:30 UTC
2.7.14 fixes several CVE's, and should be merged to quarterly

Pending VuXML
Comment 2 Antoine Brodin freebsd_committer 2017-09-23 18:41:01 UTC
Exp-run looks fine.
Comment 3 commit-hook freebsd_committer 2017-09-24 11:57:18 UTC
A commit references this bug:

Author: wen
Date: Sun Sep 24 11:57:10 UTC 2017
New revision: 450488
URL: https://svnweb.freebsd.org/changeset/ports/450488

Log:
  - Update to 2.7.14(include security fix)

  PR:		222398
  Submitted by:	wen@(myself)
  Exp-run by:	antoine@
  MFH:		2017Q3

Changes:
  head/lang/python-doc-html/distinfo
  head/lang/python27/Makefile
  head/lang/python27/Makefile.version
  head/lang/python27/distinfo
  head/lang/python27/pkg-plist
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2017-10-04 01:41:59 UTC
HEAD commit (ports r450488) was not merged to 2017Q3.

VuXML entry is still pending.
Comment 5 Sunpoet Po-Chuan Hsieh freebsd_committer 2017-10-04 07:21:51 UTC
rene@ created 2017Q4 2 days ago therefore it's no longer required to merge to 2017Q3.
Comment 6 Steve Wills freebsd_committer 2017-10-11 12:54:22 UTC
VuXML entry has been created.
Comment 7 Kubilay Kocak freebsd_committer freebsd_triage 2017-10-14 02:07:05 UTC
VuXML committed in ports r451747. Thank you